/*************************************************************
 *                       Program2A.c                         *
 *                   Zrozumie elektronik                   *
 *                    Licencja: CC BY 3.0                    *
 *                                                           *
 * Created: 23.08.2024 12:09:16                              *
 * Author : Andrzej Pawluczuk                                *
 *                                                           *
 *************************************************************/

#define F_CPU 16000000UL

#include <avr/io.h>

#include <util/delay.h>

#define DisplayPort  PORTD
#define DisplayConfig DDRD

uint8_t Counter ;

void Setup ( void )
{
  Counter = 0 ;
  DisplayConfig = 0xFF ;
  DisplayPort = 0xFF ;
}


void Loop ( void )
{
  _delay_ms ( 1000 ) ;
  Counter ++ ;
  DisplayPort = Counter ;
}


int main ( void )
{
  Setup ( ) ;
  while ( 1 ) 
    Loop ( ) ;
}

